Subscribe

UiPath AI Center

UiPath AI Center

Upgrade AI Center

Upgrading to 21.4 from earlier major versions

Prerequisites

  • Before upgrading to 21.4.X, you need to have your license updated to a 21.4.X version. To do so, contact your account manager. The updated license is needed during the upgrade procedure.

  • If updating from version 20.7.X, make sure that the ai-appmanager database already exists on your SQL server. If not, create it and add the same user that was used for other databases during Database configuration step.

  • If you just created the ai-appmanager database, make sure that it is present in the configuration files. If needed, change the name.

Upgrading procedure

  1. Log in to the Linux machine where AI Center is installed and run the following command:
kubectl -n istio-system scale --replicas=0 deploy istio-ingressgateway
kubectl -n istio-system scale --replicas=0 deploy istiod
  1. Run the infra installer corresponding to your environment and answer Y when asked if you want to upgrade the different components. For more information, see Run the AI Center Infrastructure Installer ).
  2. Run the following command after the infra installation is done:
kubectl -n istio-system scale --replicas=1 deploy istio-ingressgateway
kubectl -n istio-system scale --replicas=1 deploy istiod
kubectl -n istio-system delete pod $(kubectl get pods -n istio-system --no-headers -o custom-columns=":metadata.name" | grep prometheus-)
  1. Depending on the installation type, choose one of the following:
  • Online installation:
    Go to the License tab in KotsAdmin and click Sync license. The channel will change to 21.4-Production.
  • Airgapped installation:
    Upload the license file in KotsAdmin.
  1. Check if there is a new version of UiPath AI Center available. To do so, go to the KotsAdmin interface (for example <aif-ip/>:8800) and click Check for updated.
    For airgapped, you can manually upload the new airgap bundle (.airgap). Upload it and wait for all the files to be extracted. Once extracted, the version number displayed will change and a new version is ready.
  1. Run the application installer corresponding to your environment. For more information, see Run the AI Center Application Installer.

Updated about a month ago


Upgrade AI Center


Suggested Edits are limited on API Reference Pages

You can only suggest edits to Markdown body content, but not to the API spec.